MacのNetBeansでCakePHP2.0を動かしたいです。

http://fuettc.com/wordpress/?p=1518
ここに書かれてあります通り、
「作成したcakeプロジェクトの上で右クリック[CakePHP] -> [コマンドを実行]」をすると、
「使用できるコマンドがありません (エラーの可能性)」と表示されます。
何が原因なのかさっぱり分かりません。
xamppでの設定の仕方は結構載っているのですが、mampでの設定方法がどこにもありません。
設定の仕方が分かる方がいましたら教えてください。
よろしくお願いします。
環境はMacOsX、NetBeans7.0です。

回答の条件
  • 1人10回まで
  • 13歳以上
  • 登録:2012/01/29 23:29:16
  • 終了:2012/02/04 00:20:46

回答(1件)

id:oil999 No.1

oil999回答回数1728ベストアンサー獲得回数3202012/01/30 07:38:02

以下のサイトの通りに "php.ini" を編集しましたか?
ご確認ください。
http://snakemanshow.blogspot.com/2008/09/mac-os-x-php-mamp.html

id:kyouryukun

はい。編集しております。
cakephpを使わないコードだときちんと動作します。

2012/01/30 11:39:55
  • id:rouge_2008
    WindowsのNetBeans IDE 7.0.1+cakephp-netbeans plugin(junichi11-cakephp-netbeans-v0.1-32-g0561f49.zip)ですが、同じ現象が発生します。
    こちらは違うバージョン(2.0.0-RC3および2.0.0-RC2)では、コマンドが表示されましたので、古いバージョンを試してみてください。
    ※ページの手順の通りに実行しています。(プラグインはnbmフォルダのnbmをインストール)
    ※現象が発生するのを確認したのは、2.0.5、2.0.4、2.0.2、2.0.0です。他は未確認。
    ※JavaはJRE1.6.0_29(プラグインの作者さんは、「http://fuettc.com/wordpress/?p=1648」によると1.7.xのようです。kyouryuさんがもし1.6.xを利用しているのでしたら、Javaのバージョンを変更して試してみてもいいかもしれません。)
  • id:kyouryukun
    ご報告ありがとうございます。
    どうやら、バグが原因のようでした。
    作成者が修正してくれたので、いまでは問題なく使用できています。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません